Bug 1493091 - [DOCS] Add addition information about F5 router in OpenShift Container Platform 3.6 documentation
Summary: [DOCS] Add addition information about F5 router in OpenShift Container Platfo...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.6.0
Hardware: Unspecified
OS: All
high
medium
Target Milestone: ---
: ---
Assignee: Gaurav Nelson
QA Contact: Hongan Li
Vikram Goyal
URL:
Whiteboard: 3.7-release-plan
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-19 11:12 UTC by Neeraj
Modified: 2021-06-10 13:03 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-20 02:50:57 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Neeraj 2017-09-19 11:12:07 UTC
Document URL: https://docs.openshift.com/container-platform/3.6/install_config/router/f5_router.html#setting-up-f5-native-integration-with-openshift

Section Number and Name:  f5_router

Describe the issue: Some features are lacking in the F5 router

Suggestions for improvement: add the following into the Note section:

There are a number of features that are lacking/incomplete/buggy in the F5-plugin:
- No support or wildcard routes together with re-encrypt (you *must* supply a cert/key in the route). And if you *would like to* provide a cert, key *and* ca, the ca is never used
- No support for sharding (i.e. having multiple vservers on the F5)
- A pool is created for all services, even those where there is no associated route


Additional information: 
Some features are lacking in the F5 router, so its a request to put in the docs so that other customers save their lot of time and money. So add this information in a NOTE section.

Comment 1 Gaurav Nelson 2017-09-20 03:48:23 UTC
@Neeraj do you want these to be included in the section 'Setting Up F5 Native Integration' or in the Overview section at the beginning?

Comment 2 Neeraj 2017-09-20 10:51:07 UTC
(In reply to Gaurav Nelson from comment #1)
> @Neeraj do you want these to be included in the section 'Setting Up F5
> Native Integration' or in the Overview section at the beginning?

Please put a note in "Prerequisites and Supportability" section.

Comment 3 Hongan Li 2017-09-21 02:49:02 UTC
and other lacking features on F5 router comparing haproxy router:
- idling
- insecureEdgeTerminationPolicy (Allow/Redirect)
- SSL cipher (ROUTER_CIPHERS=modern/old)

Comment 4 Gaurav Nelson 2017-09-21 02:54:38 UTC
Please review the changes in PR https://github.com/openshift/openshift-docs/pull/5314

Comment 6 openshift-github-bot 2017-11-15 03:42:49 UTC
Commit pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/0768273dc1a33febc357bfedab72f3e43ed0648a
Merge pull request #5314 from gaurav-nelson/Bug1493091Fixes

Bug#1493091 - Add addition information about F5 router

Comment 9 Ben Bennett 2017-12-20 12:20:51 UTC
Phil: Can you help identify the gaps between F5 and haproxy router support so we can clarify the docs?  You may need to ask Miciah and Rajat for any differences that they know of too.  Thanks

Comment 16 Gaurav Nelson 2018-02-20 02:08:06 UTC
Thank you Rajat,

I have added this in PR https://github.com/openshift/openshift-docs/pull/7862

@Neeraj Please check the latest updates in PR. The GitHub rendered version is available at https://github.com/gaurav-nelson/openshift-docs/blob/d7b1c7587836033c276efd863ccfc0edc67a76d3/install_config/router/f5_router.adoc#prerequisites-and-supportability

Comment 17 Neeraj 2018-02-26 10:31:57 UTC
Hi Gaurav,

Perfect. We can add this in our documentation.

Comment 18 Gaurav Nelson 2018-02-26 20:36:18 UTC
Thanks Rajat, Neeraj

I have put this on QA. After QE review I will merge it in.

Comment 19 Gaurav Nelson 2018-02-27 23:16:49 UTC
@hongli Can you please review the updates?
Thank you.

Comment 20 Hongan Li 2018-03-01 01:10:35 UTC
(In reply to Gaurav Nelson from comment #19)
> @hongli Can you please review the updates?
> Thank you.

LGTM, thank you.

Comment 21 openshift-github-bot 2018-03-01 05:21:47 UTC
Commit pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/e81e2c42f76ce75260a429b07f5bf2f9c6d72c4b
Merge pull request #7862 from gaurav-nelson/bug1493091-fixes

Bug#1493091 - Added more unsupported items for the F5 router


Note You need to log in before you can comment on or make changes to this bug.